Name:           python-sncosmo
Version:        2.12.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Package for supernova cosmology based on astropy

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://sncosmo.readthedocs.org
Source:         %{pypi_source sncosmo}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sncosmo' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sncosmo
Summary:        %{summary}

%description -n python3-sncosmo %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-sncosmo all,docs,oldestdeps,test,test-coverage


%prep
%autosetup -p1 -n sncosmo-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,docs,oldestdeps,test,test-coverage


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sncosmo -f %{pyproject_files}


%changelog
%autochangelog